Package edu.msu.cme.rdp.classifier

# Class ShortSequenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
edu.msu.cme.rdp.classifier.ShortSequenceException

All Implemented Interfaces:
  `Serializable`

public class ShortSequenceException extends IllegalArgumentException
Handles exception for a short sequence.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ShortSequenceException(String seqDoc, String msg)`
Creates a new instance of ShortSequenceException to handle short sequence.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
Returns the error message.
`String`
`getSeqDoc()`
Returns the sequence identifier.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShortSequenceException

public ShortSequenceException(String seqDoc, String msg)
Creates a new instance of ShortSequenceException to handle short sequence.

## Method Details

### getSeqDoc

public String getSeqDoc()
Returns the sequence identifier.

### getMessage

public String getMessage()
Returns the error message.

Overrides:
  `getMessage` in class `Throwable`